wibble::exception::AddContext Struct Reference

`#include <exception.h>`

## Public Member Functions

| AddContext (std::string s)
| ~AddContext ()

## Static Public Member Functions

static std::vector< std::string > & | context ()
template<typename O >
static void | copyContext (O out)

## Public Attributes

std::string | m_context

## Static Public Attributes

static std::vector< std::string > * | s_context = 0

## Constructor & Destructor Documentation

wibble::exception::AddContext::AddContext | ( | std::string | s | ) |

inline

References context().

wibble::exception::AddContext::~AddContext | ( |  | ) |

inline

References assert_eq, and context().

## Member Function Documentation

static std::vector< std::string >& wibble::exception::AddContext::context | ( |  | ) |

inline static

References s_context.

Referenced by AddContext(), copyContext(), and ~AddContext().

template<typename O >

static void wibble::exception::AddContext::copyContext | ( | O | out | ) |

inline static

References wibble::list::begin(), context(), and wibble::list::end().

Referenced by wibble::exception::Context::Context().

## Member Data Documentation

std::string wibble::exception::AddContext::m_context

std::vector< std::string > * wibble::exception::AddContext::s_context = 0

static

Referenced by context().

The documentation for this struct was generated from the following files:

- exception.h
- exception.cpp